<?php
/* @var \Tangibledesign\MyHome\Widgets\BlogPost\BlogPostCommentsWidget $mhCurrentWidget */
global $mhCurrentWidget;

$mhBlogPost = $mhCurrentWidget->getBlogPost();
if (!$mhBlogPost) {
    return;
}

global $post;
$post = $mhBlogPost->getPost();
setup_postdata($post);

comments_template();

wp_reset_postdata();